Skip to main content
GET
/
v1
/
admin
/
fields
List fields
curl --request GET \
  --url https://api.withsplendor.com/v1/admin/fields \
  --header 'Authorization: Bearer <token>' \
  --header 'x-splendor-tenant-id: <x-splendor-tenant-id>'
{
  "fields": [
    {
      "dataset_id": "app-logs",
      "fast": true,
      "field_path": "latency_ms",
      "indexed": true,
      "seen_count": 1240000,
      "stored": true,
      "tenant_id": "acme",
      "type": "i64",
      "variants": [
        {
          "dataset_id": "app-logs",
          "fast": true,
          "field_path": "latency_ms",
          "indexed": true,
          "physical_field": "latency_ms_i64",
          "sample_value": "42",
          "seen_count": 1240000,
          "stored": true,
          "tenant_id": "acme",
          "value_type": "i64"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

API token issued from the Splendor console.

Headers

x-splendor-tenant-id
string
required

Selects the tenant (workspace) the request acts within.

Query Parameters

tenant_id
string
required
Minimum string length: 1
dataset_id
string
required
Minimum string length: 1

Response

Successful Response

fields
FieldRegistryItem · object[]
required